﻿@model Domain.ViewModel.ListaProductoViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_HomeLayout.cshtml";
}


@section Styles{ 


    <style>        

        .carousel-item.julio.active {
            display: flex !important;
        }

        .ribbon-wrapper {
            height: 70px;
            overflow: hidden;
            position: absolute;
            right: -2px;
            top: -2px;
            width: 70px;
            z-index: 10;
        }

        .ribbon-wrapper.ribbon-lg {
            height: 120px;
            width: 120px;
        }

        .ribbon-wrapper.ribbon-lg .ribbon {
            right: 0;
            top: 26px;
            width: 160px;
        }

        .ribbon-wrapper.ribbon-xl {
            height: 180px;
            width: 180px;
        }

        .ribbon-wrapper.ribbon-xl .ribbon {
            right: 4px;
            top: 47px;
            width: 240px;
        }

        .ribbon-wrapper .ribbon {
            box-shadow: 0 0 3px rgba(0,0,0,.3);
            font-size: .8rem;
            line-height: 100%;
            padding: .375rem 0;
            position: relative;
            right: -2px;
            text-align: center;
            text-shadow: 0 -1px 0 rgba(0,0,0,.4);
            text-transform: uppercase;
            top: 10px;
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
            width: 90px;
            color:white;
        }

        .ribbon-wrapper .ribbon::after, .ribbon-wrapper .ribbon::before {
            border-left: 3px solid transparent;
            border-right: 3px solid transparent;
            border-top: 3px solid #9e9e9e;
            bottom: -3px;
            content: '';
            position: absolute;
        }

        .ribbon-wrapper .ribbon::before {
            left: 0;
        }

        .ribbon-wrapper .ribbon::after {
            right: 0;
        }
    </style>
}




<div id="k-widget-slider-13-2" class="k-slider carousel slide" data-ride="carousel" data-interval="4000" style="padding-bottom:20px;">
    <div class="k-slider__head">
        <div class="k-slider__label">Pretty Flames&#128293;</div>
        <div class="k-slider__nav">
            <a class="k-slider__nav-prev carousel-control-prev" href="#k-widget-slider-13-2" role="button" data-slide="prev">
                <i class="fa fa-angle-left"></i>
            </a>
            <a class="k-slider__nav-next carousel-control-next" href="#k-widget-slider-13-2" role="button" data-slide="next">
                <i class="fa fa-angle-right"></i>
            </a>
        </div>
    </div>
    <div class="carousel-inner">
        <div class="carousel-item active k-slider__body">
            <div class="k-widget-13">
                <div class="k-widget-13__body">

                    <div class="k-widget-13__desc k-align-center">
                        <img style="height:40%; width:40%" src="~/assets/media/icons/PFNUEVOLOGO.png" />
                    </div>
                </div>
                <div class="k-widget-13__foot">
                    @*<div class="k-widget-13__progress">
                            <div class="k-widget-13__progress-info">
                                <div class="k-widget-13__progress-status">

                                </div>
                                <div class="k-widget-13__progress-value">78%</div>
                            </div>
                            <div class="progress">
                                <div class="progress-bar k-bg-brand" role="progressbar" style="width: 78%" aria-valuenow="78" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>*@
                </div>
            </div>
        </div>
        <div class="carousel-item k-slider__body">
            <div class="k-widget-13">
                <div class="k-widget-13__body">

                    <div class="k-widget-13__desc k-align-center">
                        <img style="height:40%; width:40%" src="~/assets/media/icons/PFNUEVOLOGO.png" />
                    </div>
                </div>
                <div class="k-widget-13__foot">
                    @*<div class="k-widget-13__progress">
                            <div class="k-widget-13__progress-info">
                                <div class="k-widget-13__progress-status">

                                </div>
                                <div class="k-widget-13__progress-value">78%</div>
                            </div>
                            <div class="progress">
                                <div class="progress-bar k-bg-brand" role="progressbar" style="width: 78%" aria-valuenow="78" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>*@
                </div>
            </div>
        </div>
        <div class="carousel-item k-slider__body">
            <div class="k-widget-13">
                <div class="k-widget-13__body">

                    <div class="k-widget-13__desc k-align-center">
                        <img style="height:40%; width:40%" src="~/assets/media/icons/PFNUEVOLOGO.png" />
                    </div>
                </div>
                <div class="k-widget-13__foot">
                    @*<div class="k-widget-13__progress">
                            <div class="k-widget-13__progress-info">
                                <div class="k-widget-13__progress-status">

                                </div>
                                <div class="k-widget-13__progress-value">78%</div>
                            </div>
                            <div class="progress">
                                <div class="progress-bar k-bg-brand" role="progressbar" style="width: 78%" aria-valuenow="78" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>*@
                </div>
            </div>
        </div>
    </div>
</div>
<div class="k-content__body	k-grid__item k-grid__item--fluid" id="k_content_body" style="padding-top:15px">

    <!--begin::Row-->
    @*<div class="col-xl-12">*@

    <!--begin::Portlet-->
    <div class="k-portlet">
        <div class="k-portlet__head">
            <div class="k-portlet__head-label">
                <h4 class="kt-portlet__head-title" style="color: rgba(255,0,0,0.5);">Lo más visto &#128293;</h4>
            </div>
            <div class="k-portlet__head-toolbar">
                <div class="k-portlet__head-group">
                    <!--Controls-->
                    <a class="" href="#carousel-example-multi-1" data-slide="prev">
                        <i class="fas fa-chevron-left"></i>
                    </a>
                    <a class="" href="#carousel-example-multi-1" data-slide="next">
                        <i class="fas fa-chevron-right"></i>
                    </a>
                    <!--/.Controls-->
                </div>
            </div>
        </div>
        <div class="k-portlet__body">
            @if (Model.ObtenerListaPMasVistos.Any())
            {
                <div id="carousel-example-multi-1" class="carousel carousel-multi-item v-2" data-ride="carousel">
                    <div class="carousel-inner v-2 row" role="listbox">
                        @foreach (var item in Model.ObtenerListaPMasVistos)
                        {
                            <div class="carousel-item julio @(Model.ObtenerListaPMasVistos.IndexOf(item) == 0 ? "active" : "")">
                                <div class="col-3 col-md-3">
                                    <div class="card mb-2" style="height: 404px;">
                                        @if (item.ImagenProducto.Count() > 0)
                                        {


                                            <div style="height:200px; overflow:hidden;">

                                                <img class="card-img-top" src="~/Documentos/Productos/@item.Nombre/@item.ImagenProducto.First().Nombre" style="margin-top:-15%" alt="Card image cap">
                                            </div>
                                        }
                                        else
                                        {
                                            <div style="height:200px; overflow:hidden;">

                                                <img class="card-img-top" src="~/assets/media/users/puzzle.png" style="margin-top:-15%" alt="Card image cap">
                                            </div>

                                        }
                                        <div class="card-body">
                                            @if (item.Descuento)
                                            {
                                                <div class="ribbon-wrapper">
                                                    <div class="ribbon bg-primary" style="color: white">
                                                        @item.PorcentajeDes%
                                                    </div>
                                                </div>
                                            }
                                            <h4 class="card-title font-weight-bold">@item.Nombre</h4>
                                            <p class="card-text">
                                                @item.Descripcion
                                            </p>

                                        </div>
                                        <div class="card-footer" style="text-align: end; background-color:white">
                                            <a class="btn btn-primary btn-sm btn-rounded" style="color: white" asp-route-id="@item.Id" asp-action="Details">+ info</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            }
        </div>
    </div>

    <div class="k-portlet">
        <div class="k-portlet__head">
            <div class="k-portlet__head-label">
                <h4 class="kt-portlet__head-title" style="color: rgba(255,0,0,0.5);">Agregado recientemente &#128293;</h4>
            </div>
            <div class="k-portlet__head-toolbar">
                <div class="k-portlet__head-group">
                    <!--Controls-->
                    <a class="" href="#carousel-example-multi-2" data-slide="prev">
                        <i class="fas fa-chevron-left"></i>
                    </a>
                    <a class="" href="#carousel-example-multi-2" data-slide="next">
                        <i class="fas fa-chevron-right"></i>
                    </a>
                    <!--/.Controls-->
                </div>
            </div>
        </div>
        <div class="k-portlet__body">
            @if (Model.ObtenerListaPRecientes.Any())
            {
                <div id="carousel-example-multi-2" class="carousel carousel-multi-item v-2" data-ride="carousel">
                    <div class="carousel-inner v-2 row" role="listbox">
                        @foreach (var item in Model.ObtenerListaPRecientes)
                        {
                            <div class="carousel-item julio @(Model.ObtenerListaPRecientes.IndexOf(item) == 0 ? "active" : "")">
                                <div class="col-3 col-md-3">
                                    <div class="card mb-2" style="height: 404px;">
                                        @if (item.ImagenProducto.Count() > 0)
                                        {


                                            <div style="height:200px; overflow:hidden;">

                                                <img class="card-img-top" src="~/Documentos/Productos/@item.Nombre/@item.ImagenProducto.First().Nombre" style="margin-top:-15%" alt="Card image cap">
                                            </div>
                                        }
                                        else
                                        {
                                            <div style="height:200px; overflow:hidden;">

                                                <img class="card-img-top" src="~/assets/media/users/puzzle.png" style="margin-top:-15%" alt="Card image cap">
                                            </div>
                                          
                                        }
                                        <div class="card-body">
                                            @if (item.Descuento)
                                            {
                                                <div class="ribbon-wrapper">
                                                    <div class="ribbon bg-primary" style="color: white">
                                                        @item.PorcentajeDes%
                                                    </div>
                                                </div>
                                            }
                                            <h4 class="card-title font-weight-bold">@item.Nombre</h4>
                                            <p class="card-text">
                                                @item.Descripcion
                                            </p>

                                        </div>
                                        <div class="card-footer" style="text-align: end; background-color:white">
                                            <a class="btn btn-primary btn-sm btn-rounded" style="color: white" asp-route-id="@item.Id" asp-action="Details">+ info</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            }
        </div>
    </div>

    <div class="k-portlet">
        <div class="k-portlet__head">
            <div class="k-portlet__head-label">
                <h4 class="kt-portlet__head-title" style="color: rgba(255,0,0,0.5);">En descuento &#128293;</h4>
            </div>
            <div class="k-portlet__head-toolbar">
                <div class="k-portlet__head-group">
                    <!--Controls-->
                    <a class="" href="#carousel-example-multi-3" data-slide="prev">
                        <i class="fas fa-chevron-left"></i>
                    </a>
                    <a class="" href="#carousel-example-multi-3" data-slide="next">
                        <i class="fas fa-chevron-right"></i>
                    </a>
                    <!--/.Controls-->
                </div>
            </div>
        </div>
        <div class="k-portlet__body">
            @if (Model.ObtenerListaPDescuento.Any())
            {
                <div id="carousel-example-multi-3" class="carousel carousel-multi-item v-2" data-ride="carousel">
                    <div class="carousel-inner v-2 row" role="listbox">
                        @foreach (var item in Model.ObtenerListaPDescuento)
                        {
                            <div class="carousel-item julio @(Model.ObtenerListaPDescuento.IndexOf(item) == 0 ? "active" : "")">
                                <div class="col-3 col-md-3">
                                    <div class="card mb-2" style="height: 404px;">
                                        @if (item.ImagenProducto.Count() > 0)
                                        {


                                            <div style="height:200px; overflow:hidden;">

                                                <img class="card-img-top" src="~/Documentos/Productos/@item.Nombre/@item.ImagenProducto.First().Nombre" style="margin-top:-15%" alt="Card image cap">
                                            </div>
                                        }
                                        else
                                        {
                                            <div style="height:200px; overflow:hidden;">

                                                <img class="card-img-top" src="~/assets/media/users/puzzle.png" style="margin-top:-15%" alt="Card image cap">
                                            </div>

                                        }
                                        <div class="card-body">
                                            <div class="ribbon-wrapper">
                                                <div class="ribbon bg-primary" style="color: white">
                                                    @item.PorcentajeDes%
                                                </div>
                                            </div>
                                            <h4 class="card-title font-weight-bold">@item.Nombre</h4>
                                            <p class="card-text">
                                                @item.Descripcion
                                            </p>

                                        </div>
                                        <div class="card-footer" style="text-align: end; background-color:white">
                                            <a class="btn btn-primary btn-sm btn-rounded" style="color: white" asp-route-id="@item.Id" asp-action="Details">+ info</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            }
        </div>
    </div>

    <!--/.Slides-->

</div>
<script>

    $('.carousel.carousel-multi-item.v-2 .carousel-item').each(function () {
        var next = $(this).next();
        if (!next.length) {
            next = $(this).siblings(':first');
        }
        next.children(':first-child').clone().appendTo($(this));

        for (var i = 0; i < 4; i++) {
            next = next.next();
            if (!next.length) {
                next = $(this).siblings(':first');
            }
            next.children(':first-child').clone().appendTo($(this));
        }
    });
</script>
    @*<div class="row">
            <div class="col-xl-12">


                <div class="k-portlet">
                    <div class="k-portlet__head">
                        <div class="k-portlet__head-label">
                            <h3 class="k-portlet__head-title">Card Masonry Columns</h3>
                        </div>
                    </div>
                    <div class="k-portlet__body">
                        <div class="k-section">
                            <div class="k-section__info">
                                Cards can be organized into Masonry-like columns with just CSS by wrapping them in <code>.card-columns</code>. Cards are built with CSS <code>column</code> properties instead of flexbox for easier alignment. Cards are ordered from top to bottom and left to right.<br>
                                <br>
                                <strong>Heads up!</strong> Your mileage with card columns may vary. To prevent cards breaking across columns, we must set them to <code>display: inline-block</code> as <code>column-break-inside: avoid</code> isn’t a bulletproof solution yet.
                            </div>
                            <div class="k-section__content k-section__content--border">
                                <div class="card-columns">
                                    <div class="card">
                                        <div class="k-bg-metal k-padding-50"></div>
                                        <div class="card-body">
                                            <h5 class="card-title">Card title that wraps to a new line</h5>
                                            <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
                                        </div>
                                    </div>
                                    <div class="card p-3">
                                        <blockquote class="blockquote mb-0 card-body">
                                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                                            <footer class="blockquote-footer">
                                                <small class="text-muted">
                                                    Someone famous in <cite title="Source Title">Source Title</cite>
                                                </small>
                                            </footer>
                                        </blockquote>
                                    </div>
                                    <div class="card">
                                        <div class="k-bg-metal k-padding-50"></div>
                                        <div class="card-body">
                                            <h5 class="card-title">Card title</h5>
                                            <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
                                            <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                                        </div>
                                    </div>
                                    <div class="card bg-primary text-white text-center p-3">
                                        <blockquote class="blockquote mb-0">
                                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat.</p>
                                            <footer class="blockquote-footer">
                                                <small class="k-font-light">
                                                    Someone famous in <cite title="Source Title">Source Title</cite>
                                                </small>
                                            </footer>
                                        </blockquote>
                                    </div>
                                    <div class="card text-center">
                                        <div class="card-body">
                                            <h5 class="card-title">Card title</h5>
                                            <p class="card-text">This card has a regular title and short paragraphy of text below it.</p>
                                            <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="k-bg-metal k-padding-50"></div>
                                    </div>
                                    <div class="card p-3 text-right">
                                        <blockquote class="blockquote mb-0">
                                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                                            <footer class="blockquote-footer">
                                                <small class="text-muted">
                                                    Someone famous in <cite title="Source Title">Source Title</cite>
                                                </small>
                                            </footer>
                                        </blockquote>
                                    </div>
                                    <div class="card">
                                        <div class="card-body">
                                            <h5 class="card-title">Card title</h5>
                                            <p class="card-text">This is another card with title and supporting text below. This card has some additional content to make it slightly taller overall.</p>
                                            <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>*@

